package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PacoteConvenioDAO;
import com.rjconsultores.ventaboletos.entidad.PacoteConvenio;

@Repository("pacoteConvenioDAO")
public class PacoteConvenioHibernateDAO extends GenericHibernateDAO<PacoteConvenio, Long> implements PacoteConvenioDAO {

    @Autowired
    public PacoteConvenioHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    @SuppressWarnings("unchecked")
    public List<PacoteConvenio> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    @SuppressWarnings("unchecked")
	public List<PacoteConvenio> buscar(String nomconvenio) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        c.add(Restrictions.eq("nomconvenio", nomconvenio));

        return c.list();
    }
}
